Bug 680751 - [abrt] mutter-2.91.90-1.fc15: new_context: Process /usr/bin/mutter was killed by signal 11 (SIGSEGV)
[abrt] mutter-2.91.90-1.fc15: new_context: Process /usr/bin/mutter was killed...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: mutter (Show other bugs)
15
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Peter Robinson
Fedora Extras Quality Assurance
abrt_hash:d871f7ca2ba3b0dc8b5eb8914b9...
:
Depends On:
Blocks: F15GNOMEfail
  Show dependency treegraph
 
Reported: 2011-02-27 09:35 EST by Joachim Frieben
Modified: 2012-08-07 14:00 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-07 14:00:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (66.55 KB, text/plain)
2011-02-27 09:35 EST, Joachim Frieben
no flags Details

  None (edit)
Description Joachim Frieben 2011-02-27 09:35:44 EST
abrt version: 1.1.17
architecture: x86_64
Attached file: backtrace, 68149 bytes
cmdline: mutter --mutter-plugins=libgnome-shell
component: mutter
Attached file: coredump, 126238720 bytes
crash_function: new_context
executable: /usr/bin/mutter
kernel: 2.6.38-0.rc6.git6.1.fc15.x86_64
package: mutter-2.91.90-1.fc15
rating: 4
reason: Process /usr/bin/mutter was killed by signal 11 (SIGSEGV)
release: Fedora release 15 (Lovelock)
time: 1298739489
uid: 501

How to reproduce
-----
1. Unknown.
Comment 1 Joachim Frieben 2011-02-27 09:35:50 EST
Created attachment 481246 [details]
File: backtrace
Comment 2 Dan Winship 2011-03-29 16:42:03 EDT
backtrace indicates that it crashed because

        context->animation = g_object_new (GDK_TYPE_PIXBUF_GIF_ANIM, NULL);

in gdk-pixbuf/io-gif.c returned NULL (and then it tried to dereference it).

Uh?

Also, it appears to have been loading a theme icon... are you using a strange icon theme with GIF icons?
Comment 3 Joachim Frieben 2011-07-10 10:36:09 EDT
(In reply to comment #2)
I am using Bluecurve as my default icon theme. There should be no GIF files included.
Comment 4 Fedora End Of Life 2012-08-07 14:00:36 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.